VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3450
   ClientLeft      =   3000
   ClientTop       =   2160
   ClientWidth     =   3765
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   3450
   ScaleWidth      =   3765
   Begin VB.CommandButton cmdShow 
      Caption         =   "Show Selected Items"
      Height          =   615
      Left            =   180
      TabIndex        =   4
      Top             =   2400
      Width           =   3375
   End
   Begin VB.PictureBox picCombo 
      BackColor       =   &H00FFFFFF&
      Height          =   300
      Left            =   120
      ScaleHeight     =   240
      ScaleWidth      =   2235
      TabIndex        =   1
      Top             =   180
      Width           =   2295
      Begin VB.CommandButton cmdDropDown 
         Height          =   240
         Left            =   2010
         Picture         =   "Form1.frx":0000
         Style           =   1  'Graphical
         TabIndex        =   3
         Top             =   0
         Width           =   225
      End
      Begin VB.Label lblSelections 
         AutoSize        =   -1  'True
         BackColor       =   &H00FFFFFF&
         Height          =   195
         Left            =   15
         TabIndex        =   2
         Top             =   0
         Width           =   1965
      End
   End
   Begin VB.ListBox lstMonths 
      Appearance      =   0  'Flat
      Height          =   1605
      ItemData        =   "Form1.frx":03A2
      Left            =   120
      List            =   "Form1.frx":03A9
      Style           =   1  'Checkbox
      TabIndex        =   0
      Top             =   480
      Visible         =   0   'False
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mblnListLostFocus   As Boolean
Private Const mstr_DELIMITER = ","

Private Sub Form_Load()
    
    Dim i As Integer

    lstMonths.Visible = False
    lstMonths.Clear
    
    For i = 1 To 12
        lstMonths.AddItem MonthName(i)
        lstMonths.ItemData(lstMonths.NewIndex) = i
    Next

End Sub

Private Sub Form_Click()
    
    lstMonths.Visible = False
    
End Sub


Private Sub lstMonths_Click()

    Dim intX        As Integer
    Dim blnFirst    As Boolean
    
    lblSelections.Caption = ""
    lblSelections.Tag = ""
    lblSelections.ToolTipText = ""
    blnFirst = True
    
    If lstMonths.SelCount = 0 Then Exit Sub
    
    For intX = 0 To lstMonths.ListCount - 1
        If lstMonths.Selected(intX) Then
            If blnFirst Then
                blnFirst = False
            Else
                lblSelections.Caption = lblSelections.Caption & mstr_DELIMITER
                lblSelections.Tag = lblSelections.Tag & mstr_DELIMITER
            End If
            lblSelections.Caption = lblSelections.Caption & lstMonths.List(intX)
            lblSelections.Tag = lblSelections.Tag & lstMonths.ItemData(intX)
        End If
    Next

    lblSelections.ToolTipText = lblSelections.Caption

End Sub

Private Sub lstMonths_LostFocus()
    lstMonths.Visible = False
    If Screen.ActiveControl.Name = "cmdDropDown" Then
        mblnListLostFocus = True
    Else
        mblnListLostFocus = False
    End If
End Sub

Private Sub cmdDropDown_Click()
    
    If (lstMonths.Visible = True) Or (mblnListLostFocus) Then
        lstMonths.Visible = False
        mblnListLostFocus = False
    Else
        lstMonths.Visible = True
        lstMonths.SetFocus
    End If
    
End Sub

Private Sub cmdShow_Click()

    Dim strMsg      As String
    Dim astrTemp()  As String
    Dim lngX        As Long
    Dim strText     As String
    
    If lblSelections.Caption = "" Then
        strMsg = "No items were selected."
    Else
        strMsg = ""
        
        strMsg = strMsg & "The list of comma-delimited selected items, either "
        strMsg = strMsg & "as displayed or enclosed in quotes, could be suitable "
        strMsg = strMsg & "for use in a SQL 'IN' clause." & vbNewLine & vbNewLine
        strMsg = strMsg & "Selected Items (as is):" & vbNewLine
        strMsg = strMsg & lblSelections.Caption & vbNewLine & vbNewLine
        strMsg = strMsg & "Selected Items (each enclosed in quotes):" & vbNewLine
        
        astrTemp = Split(lblSelections.Caption, ",")
        For lngX = 0 To UBound(astrTemp)
            astrTemp(lngX) = "'" & Replace$(astrTemp(lngX), "'", "''") & "'"
        Next
        strText = Join(astrTemp, ",")
        
        strMsg = strMsg & strText & vbNewLine & vbNewLine
        
        strMsg = strMsg & "ItemData Values of Selected Items (as is):" & vbNewLine
        strMsg = strMsg & lblSelections.Tag & vbNewLine & vbNewLine
        strMsg = strMsg & "ItemData Values of Selected Items (each enclosed in quotes):" & vbNewLine
        
        astrTemp = Split(lblSelections.Tag, ",")
        For lngX = 0 To UBound(astrTemp)
            astrTemp(lngX) = "'" & Replace$(astrTemp(lngX), "'", "''") & "'"
        Next
        strText = Join(astrTemp, ",")
        
        strMsg = strMsg & strText & vbNewLine
    End If
    
    MsgBox strMsg, vbInformation, "Checkbox Combo Selections"

End Sub
